<?php

namespace Vendtics\App\DTO\Contact;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class SegmentDTO extends DTO {
    private int $id;

    private string $name;

    private ?string $description;

    private array $queries;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @param int $id 
     *
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of name
     *
     * @return string
     */
    public function get_name(): string {
        return $this->name;
    }

    /**
     * Set the value of name
     *
     * @param string $name 
     *
     * @return self
     */
    public function set_name( string $name ): self {
        $this->name = $name;

        return $this;
    }

    /**
     * Get the value of description
     *
     * @return ?string
     */
    public function get_description(): ?string {
        return $this->description;
    }

    /**
     * Set the value of description
     *
     * @param ?string $description 
     *
     * @return self
     */
    public function set_description( ?string $description ): self {
        $this->description = $description;

        return $this;
    }

    /**
     * Get the value of queries
     *
     * @return array
     */
    public function get_queries(): array {
        return $this->queries;
    }

    /**
     * Set the value of queries
     *
     * @param array $queries 
     *
     * @return self
     */
    public function set_queries( array $queries ): self {
        $this->queries = $queries;

        return $this;
    }
}